# Uses of Class
org.eclipse.gef.ui.actions.ActionRegistry

Packages that use ActionRegistry
Package
Description
org.eclipse.gef.ui.actions
This package support for using JFace Actions in your EditorPart.
org.eclipse.gef.ui.parts

## Uses of ActionRegistry in org.eclipse.gef.ui.actions

Methods in org.eclipse.gef.ui.actions that return ActionRegistry
Modifier and Type
Method
Description
`protected ActionRegistry`
ActionBarContributor.`getActionRegistry()`
returns this contributor's ActionRegsitry.

## Uses of ActionRegistry in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return ActionRegistry
Modifier and Type
Method
Description
`protected ActionRegistry`
GraphicalEditor.`getActionRegistry()`
Lazily creates and returns the action registry.
Methods in org.eclipse.gef.ui.parts with parameters of type ActionRegistry
Modifier and Type
Method
Description
`protected void`
GraphicalEditor.`setActionRegistry(ActionRegistry registry)`
Sets the ActionRegistry for this EditorPart.